## ros-indigo-geometric-shapes 0.4.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(geometric_shapes)

list(APPEND CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake/")

if (NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)
  message("${PROJECT_NAME}: You did not request a specific build type: Choosing 'Release' for maximum performance")
  set(CMAKE_BUILD_TYPE Release)
endif()

find_package(ASSIMP QUIET)
if (NOT ASSIMP_FOUND)
  find_package(PkgConfig REQUIRED)
  # assimp is required, so REQUIRE the second attempt
  pkg_check_modules(ASSIMP REQUIRED assimp)
endif()

find_package(Boost REQUIRED system filesystem)

find_package(console_bridge REQUIRED)

# required to find 'Eigen' in indigo
find_package(cmake_modules REQUIRED)
find_package(Eigen REQUIRED)

find_package(octomap REQUIRED)

find_package(catkin REQUIRED COMPONENTS
  eigen_stl_containers
  random_numbers
  resource_retriever
  shape_msgs
  visualization_msgs
)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME} ${OCTOMAP_LIBRARIES}
  CATKIN_DEPENDS
    eigen_stl_containers
    random_numbers
    shape_msgs
    visualization_msgs
  DEPENDS
    Eigen
    OCTOMAP
    console_bridge
  )

find_package(Qhull REQUIRED)
if (HAVE_QHULL_2011)
  add_definitions(-DGEOMETRIC_SHAPES_HAVE_QHULL_2011)
endif()

include_directories(include)
include_directories(${EIGEN_INCLUDE_DIRS} ${Boost_INCLUDE_DIR} ${ASSIMP_INCLUDE_DIRS} ${OCTOMAP_INCLUDE_DIRS})
include_directories(${catkin_INCLUDE_DIRS} ${console_bridge_INCLUDE_DIRS})

add_library(${PROJECT_NAME}
  src/bodies.cpp
  src/body_operations.cpp
  src/mesh_operations.cpp
  src/shape_extents.cpp
  src/shape_operations.cpp
  src/shape_to_marker.cpp
  src/shapes.cpp
)

target_link_libraries(${PROJECT_NAME} ${ASSIMP_LIBRARIES} ${QHULL_LIBRARIES} ${catkin_LIBRARIES} ${console_bridge_LIBRARIES} ${Boost_LIBRARIES})


if(CATKIN_ENABLE_TESTING)
  # Unit tests
  add_subdirectory(test)
endif()

install(TARGETS ${PROJECT_NAME}
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

=== debian/changelog ===
ros-indigo-geometric-shapes (0.4.6-0trusty) trusty; urgency=high

  * [enhance] Add warning about common Assimp bug (#63 <https://github.com/ros-planning/geometric_shapes/issues/63>)
  * [maintenance] Update maintainers (#66 <https://github.com/ros-planning/geometric_shapes/issues/66>)
  * Contributors: Dave Coleman

 -- Ioan Sucan <isucan@google.com>  Thu, 30 Nov 2017 08:00:00 -0000

ros-indigo-geometric-shapes (0.4.5-0trusty) trusty; urgency=high

  * [fix] mesh with too many vertices (#39 <https://github.com/ros-planning/geometric_shapes/issues/39>) (#60 <https://github.com/ros-planning/geometric_shapes/issues/60>)
  * [fix] gcc6 build error (#56 <https://github.com/ros-planning/geometric_shapes/issues/55>)
  * [fix] Clear root transformation on imported Collada meshes. #52 <https://github.com/ros-planning/geometric_shapes/issues/52>
  * [fix] incorrect hint always sent to Assimp, improved STL reading (#24 <https://github.com/ros-planning/geometric_shapes/issues/24>)
  * [fix] append cmake module path instead of prepending. Fixes #22 <https://github.com/ros-planning/geometric_shapes/issues/22>
  * [fix] FindQhull with non-debian systems (#30 <https://github.com/ros-planning/geometric_shapes/issues/30>)
  * [improve] relax mesh containment test (#58 <https://github.com/ros-planning/geometric_shapes/issues/58>)
  * [maintenance] Switch boost::shared_ptr to std::shared_ptr. #57 <https://github.com/ros-planning/geometric_shapes/pull/57>
  * [maintenance] Fix travis for Indigo (#53 <https://github.com/ros-planning/geometric_shapes/issues/53>)
  * [maintenance] catkin_lint and cleanup #43 <https://github.com/ros-planning/geometric_shapes/issues/43>
  * [maintenance] add notice that project will be built in Release mode
  * [maintenance] cmake cleanup and improvement (#35 <https://github.com/ros-planning/geometric_shapes/issues/35> and others)
  * Contributors: Dave Coleman, Ioan A Sucan, Isaac I.Y. Saito, Jochen Sprickerhof, Jorge Santos Simon, Lukas Bulwahn, Maarten de Vries, Michael Goerner,

 -- Ioan Sucan <isucan@google.com>  Thu, 20 Oct 2016 07:00:00 -0000

ros-indigo-geometric-shapes (0.4.4-0trusty) trusty; urgency=high

  * Merge pull request #37 <https://github.com/ros-planning/geometric_shapes/issues/37> from corot/indigo-devel
    Fix issue #28 <https://github.com/ros-planning/geometric_shapes/issues/28> on small radius cylinders
  * Contributors: Dave Coleman, Jorge Santos Simon

 -- Ioan Sucan <isucan@google.com>  Sun, 06 Mar 2016 08:00:00 -0000

ros-indigo-geometric-shapes (0.4.3-0trusty) trusty; urgency=high

  * add functions for better display of convex meshes
  * produce actual triangles for qhull mesh
  * Fixed inverted scale for convex meshes inside check
  * Contributors: Christian Dornhege, Michael Ferguson

 -- Ioan Sucan <isucan@google.com>  Thu, 30 Apr 2015 07:00:00 -0000

ros-indigo-geometric-shapes (0.4.2-0trusty) trusty; urgency=high

  * PR #32 <https://github.com/ros-planning/geometric_shapes/issues/32>
    Merge shape_tools package into geometric shapes
  * PR #33 <https://github.com/ros-planning/geometric_shapes/issues/33>
    Add run_depend on visualization_msgs
  * PR #26 <https://github.com/ros-planning/geometric_shapes/issues/26>
    Prevent every mesh generation opening a new file handle.
  * Contributors: Christian Dornhege, Dave Coleman, Jochen Sprickerhof, Michael Ferguson, Steven Peters

 -- Ioan Sucan <isucan@google.com>  Wed, 22 Apr 2015 07:00:00 -0000

ros-indigo-geometric-shapes (0.4.1-0trusty) trusty; urgency=high

  * update distro for travis testing. precise:=trusty
  * update to use debian console_bridge dependency. https://github.com/ros/rosdistro/issues/4633
  * Contributors: Ioan A Sucan, Tully Foote

 -- Ioan Sucan <isucan@google.com>  Mon, 07 Jul 2014 07:00:00 -0000

ros-indigo-geometric-shapes (0.4.0-0trusty) trusty; urgency=high

  * update usage of console_bridge to deal with version in Trusty
  * Merge pull request #13 <https://github.com/ros-planning/geometric_shapes/issues/13> from ros-planning/testing-in-travis
    Run local and moveit_core tests in Travis builds.
  * Merge pull request #18 <https://github.com/ros-planning/geometric_shapes/issues/18> from dirk-thomas/hydro-devel
    fix configure config.h.in when paths contain spaces fix #9 <https://github.com/ros-planning/geometric_shapes/issues/9>
  * Run local and moveit_core tests in Travis builds.
  * Contributors: Acorn, Dave Hershberger, Dirk Thomas, Ioan A Sucan, William Woodall

 -- Ioan Sucan <isucan@google.com>  Tue, 24 Jun 2014 07:00:00 -0000

ros-indigo-geometric-shapes (0.3.8-0trusty) trusty; urgency=high

  * fix how we find eigen
  * Contributors: Ioan Sucan

 -- Ioan Sucan <isucan@willowgarage.com>  Tue, 25 Feb 2014 08:00:00 -0000

ros-indigo-geometric-shapes (0.3.7-0trusty) trusty; urgency=high

  * add build dep so we can find eigen, build fixes
  * Contributors: Ioan A Sucan, Scott K Logan

 -- Ioan Sucan <isucan@willowgarage.com>  Sun, 23 Feb 2014 08:00:00 -0000

ros-indigo-geometric-shapes (0.3.6-0trusty) trusty; urgency=high

  * Use assimp-dev dep for building
  * Remove stray IS_ASSIMP3 define
  * Invert Assimp version detect logic for greater accuracy
  * Better feature detection for assimp version
  * added travis support
  * check for CATKIN_ENABLE_TESTING
  * Contributors: Dave Hershberger, Ioan A Sucan, Lukas Bulwahn, Scott K Logan

 -- Ioan Sucan <isucan@willowgarage.com>  Fri, 31 Jan 2014 08:00:00 -0000

ros-indigo-geometric-shapes (0.3.5-0trusty) trusty; urgency=high

  * Fix syntax error.
  * white space fixes (tabs are now spaces)
  * add comments for shape definitions

 -- Ioan Sucan <isucan@willowgarage.com>  Mon, 23 Sep 2013 07:00:00 -0000

=== debian/control ===
Source: ros-indigo-geometric-shapes
Section: misc
Priority: extra
Maintainer: Ioan Sucan <isucan@google.com>
Build-Depends: debhelper (>= 9.0.0), libassimp-dev, libboost-all-dev, libconsole-bridge-dev, libeigen3-dev, libqhull-dev, pkg-config, ros-indigo-catkin (>= 0.5.68), ros-indigo-cmake-modules, ros-indigo-eigen-stl-containers, ros-indigo-octomap, ros-indigo-random-numbers, ros-indigo-resource-retriever, ros-indigo-rosunit, ros-indigo-shape-msgs, ros-indigo-visualization-msgs
Homepage: http://ros.org/wiki/geometric_shapes
Standards-Version: 3.9.2

Package: ros-indigo-geometric-shapes
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libassimp-dev, libboost-all-dev, libconsole-bridge-dev, libeigen3-dev, libqhull-dev, ros-indigo-eigen-stl-containers, ros-indigo-octomap, ros-indigo-random-numbers, ros-indigo-resource-retriever, ros-indigo-shape-msgs, ros-indigo-visualization-msgs
Description: This package contains generic definitions of geometric shapes and bodies.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-geometric-shapes//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
